Bug 316487 - Log viewer should display "no logs" when opened with contact id and no logs present
Summary: Log viewer should display "no logs" when opened with contact id and no logs p...
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: log-viewer (show other bugs)
Version: git-latest
Platform: Other Linux
: NOR normal
Target Milestone: 0.7-beta
Assignee: Daniel Vrátil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-10 20:48 UTC by Martin Klapetek
Modified: 2013-06-18 16:31 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 0.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Klapetek 2013-03-10 20:48:59 UTC
If the logviewer is opened with valid contact id, but no logs are found for that contact, log viewer should inform the user by displaying something like "No logs stored" somewhere in the log area.
Comment 1 David Edmundson 2013-03-11 13:35:39 UTC
Agreed. Confirming.
Comment 2 David Edmundson 2013-04-12 19:24:21 UTC
Is this still valid? Contact-list now doesn't let you open if there's no log.
The sidebar only lists contacts with logs.
Comment 3 Martin Klapetek 2013-04-13 09:25:59 UTC
Yes. You have other ways to open the log viewer with valid id and no logs.
Comment 4 Daniel Vrátil 2013-04-13 23:34:44 UTC
I would like to extend this to showing "No logs available for this day" message when you select a date with no logs.
Comment 5 Daniel Vrátil 2013-06-18 16:31:29 UTC
Git commit 452b06f4896222bca38987280359b7a4cad02969 by Dan Vrátil.
Committed on 18/06/2013 at 18:27.
Pushed by dvratil into branch 'master'.

Show a message when no logs are available for given contact or day

Shows a label saying "There are no logs for this day" or "There are no
logs for this contact" when user selects a date without logs or starts
logviewer with ID of a contact for which we have no logs.

REVIEW: 111088
FIXED-IN: 0.7.0

M  +4    -0    logviewer/entity-view.cpp
M  +4    -1    logviewer/entity-view.h
M  +6    -0    logviewer/log-viewer.cpp
M  +2    -0    logviewer/log-viewer.h
M  +35   -4    logviewer/message-view.cpp
M  +8    -0    logviewer/message-view.h

http://commits.kde.org/telepathy-text-ui/452b06f4896222bca38987280359b7a4cad02969